<html>
<head>
<title>OGRE: OgreAnimationTrack.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreAnimationTrack.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreSimpleSpline_8h-source.html">OgreSimpleSpline.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRotationalSpline_8h-source.html">OgreRotationalSpline.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreAnimable_8h-source.html">OgreAnimable.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgrePose_8h-source.html">OgrePose.h</a>&quot;</code><br>

<p>
<a href="OgreAnimationTrack_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TimeIndex.html">Ogre::TimeIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Time index object used to search keyframe at the given position.  <a href="classOgre_1_1TimeIndex.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack.html">Ogre::AnimationTrack</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A 'track' in an animation sequence, ie a sequence of keyframes which affect a certain type of animable object.  <a href="classOgre_1_1AnimationTrack.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericAnimationTrack.html">Ogre::NumericAnimationTrack</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, ie a sequence of keyframes which affect...">AnimationTrack</a> for dealing with generic animable values.  <a href="classOgre_1_1NumericAnimationTrack.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NodeAnimationTrack.html">Ogre::NodeAnimationTrack</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, ie a sequence of keyframes which affect...">AnimationTrack</a> for dealing with node transforms.  <a href="classOgre_1_1NodeAnimationTrack.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1NodeAnimationTrack_1_1Splines.html">Ogre::NodeAnimationTrack::Splines</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1VertexAnimationTrack.html">Ogre::VertexAnimationTrack</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialised <a class="el" href="classOgre_1_1AnimationTrack.html" title="A &#39;track&#39; in an animation sequence, ie a sequence of keyframes which affect...">AnimationTrack</a> for dealing with changing vertex position information.  <a href="classOgre_1_1VertexAnimationTrack.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#9046e6e0d12c46c57a9056987e9d158e">Ogre::VertexAnimationType</a> { <a class="el" href="namespaceOgre.html#9046e6e0d12c46c57a9056987e9d158eb1a15dd49cf588c9b4d29e96511dc91a">Ogre::VAT_NONE</a> =  0, 
<a class="el" href="namespaceOgre.html#9046e6e0d12c46c57a9056987e9d158e16f039e4ae5cfb19ecd7cd41be4f93cd">Ogre::VAT_MORPH</a> =  1, 
<a class="el" href="namespaceOgre.html#9046e6e0d12c46c57a9056987e9d158e66715a5b810eee81efa1d964700b3d30">Ogre::VAT_POSE</a> =  2
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Type of vertex animation.  <a href="namespaceOgre.html#9046e6e0d12c46c57a9056987e9d158e">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
